This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by TclCurl configure 8.0.1, which was
generated by GNU Autoconf 2.72.  Invocation command line was

  $ ../../../configure --build=x86_64-linux-gnu --prefix=/usr '--includedir=${prefix}/include' '--mandir=${prefix}/share/man' '--infodir=${prefix}/share/info' --sysconfdir=/etc --localstatedir=/var --disable-option-checking --disable-silent-rules '--libdir=${prefix}/lib/x86_64-linux-gnu' --runstatedir=/run --disable-maintainer-mode --disable-dependency-tracking --with-tcl=/usr/lib/tcl9.0 --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --libdir=/usr/lib/tcltk/x86_64-linux-gnu --libexecdir=/usr/lib/tcltk/x86_64-linux-gnu

## --------- ##
## Platform. ##
## --------- ##

hostname = pastorious
uname -m = x86_64
uname -r = 6.12.88+deb13-amd64
uname -s = Linux
uname -v = #1 SMP PREEMPT_DYNAMIC Debian 6.12.88-1 (2026-05-15)

/usr/bin/uname -p = unknown
/bin/uname -X     = unknown

/bin/arch              = x86_64
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo      = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/local/bin/
PATH: /usr/bin/
PATH: /bin/
PATH: /usr/local/games/
PATH: /usr/games/
PATH: /snap/bin/


## ----------- ##
## Core tests. ##
## ----------- ##

configure:2504: checking TEA configuration
configure:2510: result: ok (TEA 3.13)
configure:2597: configuring TclCurl 8.0.1
configure:2627: checking system version
configure:2655: result: Linux-6.12.88+deb13-amd64
configure:2706: checking for Tcl configuration
configure:2846: result: found /usr/lib/tcl9.0/tclConfig.sh
configure:2914: checking for gcc
configure:2935: found /usr/bin/gcc
configure:2947: result: gcc
configure:3306: checking for C compiler version
configure:3315: gcc --version >&5
gcc (Debian 14.2.0-19) 14.2.0
Copyright (C) 2024 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:3326: $? = 0
configure:3315: gcc -v >&5
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-linux-gnu/14/lto-wrapper
OFFLOAD_TARGET_NAMES=nvptx-none:amdgcn-amdhsa
OFFLOAD_TARGET_DEFAULT=1
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 14.2.0-19' --with-bugurl=file:///usr/share/doc/gcc-14/README.Bugs --enable-languages=c,ada,c++,go,d,fortran,objc,obj-c++,m2,rust --prefix=/usr --with-gcc-major-version-only --program-suffix=-14 --program-prefix=x86_64-linux-gnu- --enable-shared --enable-linker-build-id --libexecdir=/usr/libexec --without-included-gettext --enable-threads=posix --libdir=/usr/lib --enable-nls --enable-bootstrap --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new --enable-libstdcxx-backtrace --enable-gnu-unique-object --disable-vtable-verify --enable-plugin --enable-default-pie --with-system-zlib --enable-libphobos-checking=release --with-target-system-zlib=auto --enable-objc-gc=auto --enable-multiarch --disable-werror --enable-cet --with-arch-32=i686 --with-abi=m64 --with-multilib-list=m32,m64,mx32 --enable-multilib --with-tune=generic --enable-offload-targets=nvptx-none=/build/reproducible-path/gcc-14-14.2.0/debian/tmp-nvptx/usr,amdgcn-amdhsa=/build/reproducible-path/gcc-14-14.2.0/debian/tmp-gcn/usr --enable-offload-defaulted --without-cuda-driver --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu --with-build-config=bootstrap-lto-lean --enable-link-serialization=3
Thread model: posix
Supported LTO compression algorithms: zlib zstd
gcc version 14.2.0 (Debian 14.2.0-19) 
... rest of stderr output deleted ...
configure:3326: $? = 0
configure:3315: gcc -V >&5
gcc: error: unrecognized command-line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:3326: $? = 1
configure:3315: gcc -qversion >&5
gcc: error: unrecognized command-line option '-qversion'; did you mean '--version'?
gcc: fatal error: no input files
compilation terminated.
configure:3326: $? = 1
configure:3315: gcc -version >&5
gcc: error: unrecognized command-line option '-version'
gcc: fatal error: no input files
compilation terminated.
configure:3326: $? = 1
configure:3346: checking whether the C compiler works
configure:3368: gcc -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 -Wl,-z,relro conftest.c  >&5
configure:3372: $? = 0
configure:3423: result: yes
configure:3427: checking for C compiler default output file name
configure:3429: result: a.out
configure:3435: checking for suffix of executables
configure:3442: gcc -o conftest -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 -Wl,-z,relro conftest.c  >&5
configure:3446: $? = 0
configure:3470: result: 
configure:3494: checking whether we are cross compiling
configure:3502: gcc -o conftest -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 -Wl,-z,relro conftest.c  >&5
configure:3506: $? = 0
configure:3513: ./conftest
configure:3517: $? = 0
configure:3532: result: no
configure:3538: checking for suffix of object files
configure:3561: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:3565: $? = 0
configure:3589: result: o
configure:3593: checking whether the compiler supports GNU C
configure:3613: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:3613: $? = 0
configure:3625: result: yes
configure:3636: checking whether gcc accepts -g
configure:3657: gcc -c -g -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:3657: $? = 0
configure:3704: result: yes
configure:3724: checking for gcc option to enable C11 features
configure:3739: gcc  -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:3739: $? = 0
configure:3758: result: none needed
configure:3878: checking for existence of /usr/lib/tcl9.0/tclConfig.sh
configure:3882: result: loading
configure:3936: checking platform
configure:3954: x86_64-linux-gnu-gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:3954: $? = 0
configure:4013: result: unix
configure:4067: --exec-prefix defaulting to TCL_EXEC_PREFIX /usr
configure:4143: checking for gcc
configure:4176: result: gcc
configure:4535: checking for C compiler version
configure:4544: gcc --version >&5
gcc (Debian 14.2.0-19) 14.2.0
Copyright (C) 2024 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:4555: $? = 0
configure:4544: gcc -v >&5
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-linux-gnu/14/lto-wrapper
OFFLOAD_TARGET_NAMES=nvptx-none:amdgcn-amdhsa
OFFLOAD_TARGET_DEFAULT=1
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 14.2.0-19' --with-bugurl=file:///usr/share/doc/gcc-14/README.Bugs --enable-languages=c,ada,c++,go,d,fortran,objc,obj-c++,m2,rust --prefix=/usr --with-gcc-major-version-only --program-suffix=-14 --program-prefix=x86_64-linux-gnu- --enable-shared --enable-linker-build-id --libexecdir=/usr/libexec --without-included-gettext --enable-threads=posix --libdir=/usr/lib --enable-nls --enable-bootstrap --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new --enable-libstdcxx-backtrace --enable-gnu-unique-object --disable-vtable-verify --enable-plugin --enable-default-pie --with-system-zlib --enable-libphobos-checking=release --with-target-system-zlib=auto --enable-objc-gc=auto --enable-multiarch --disable-werror --enable-cet --with-arch-32=i686 --with-abi=m64 --with-multilib-list=m32,m64,mx32 --enable-multilib --with-tune=generic --enable-offload-targets=nvptx-none=/build/reproducible-path/gcc-14-14.2.0/debian/tmp-nvptx/usr,amdgcn-amdhsa=/build/reproducible-path/gcc-14-14.2.0/debian/tmp-gcn/usr --enable-offload-defaulted --without-cuda-driver --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu --with-build-config=bootstrap-lto-lean --enable-link-serialization=3
Thread model: posix
Supported LTO compression algorithms: zlib zstd
gcc version 14.2.0 (Debian 14.2.0-19) 
... rest of stderr output deleted ...
configure:4555: $? = 0
configure:4544: gcc -V >&5
gcc: error: unrecognized command-line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:4555: $? = 1
configure:4544: gcc -qversion >&5
gcc: error: unrecognized command-line option '-qversion'; did you mean '--version'?
gcc: fatal error: no input files
compilation terminated.
configure:4555: $? = 1
configure:4544: gcc -version >&5
gcc: error: unrecognized command-line option '-version'
gcc: fatal error: no input files
compilation terminated.
configure:4555: $? = 1
configure:4559: checking whether the compiler supports GNU C
configure:4591: result: yes
configure:4602: checking whether gcc accepts -g
configure:4670: result: yes
configure:4690: checking for gcc option to enable C11 features
configure:4724: result: none needed
configure:4847: checking how to run the C preprocessor
configure:4873: gcc -E -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c
configure:4873: $? = 0
configure:4889: gcc -E -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c
conftest.c:10:10: fatal error: ac_nonexistent.h: No such file or directory
   10 | #include <ac_nonexistent.h>
      |          ^~~~~~~~~~~~~~~~~~
compilation terminated.
configure:4889: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "TclCurl"
| #define PACKAGE_TARNAME "tclcurl-ng"
| #define PACKAGE_VERSION "8.0.1"
| #define PACKAGE_STRING "TclCurl 8.0.1"
| #define PACKAGE_BUGREPORT "massimo.manghi@rivetweb.org"
| #define PACKAGE_URL ""
| #define BUILD_TclCurl /**/
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:4918: result: gcc -E
configure:4932: gcc -E -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c
configure:4932: $? = 0
configure:4948: gcc -E -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c
conftest.c:10:10: fatal error: ac_nonexistent.h: No such file or directory
   10 | #include <ac_nonexistent.h>
      |          ^~~~~~~~~~~~~~~~~~
compilation terminated.
configure:4948: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "TclCurl"
| #define PACKAGE_TARNAME "tclcurl-ng"
| #define PACKAGE_VERSION "8.0.1"
| #define PACKAGE_STRING "TclCurl 8.0.1"
| #define PACKAGE_BUGREPORT "massimo.manghi@rivetweb.org"
| #define PACKAGE_URL ""
| #define BUILD_TclCurl /**/
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:4985: checking whether make sets $(MAKE)
configure:5009: result: yes
configure:5072: checking for ranlib
configure:5093: found /usr/bin/ranlib
configure:5105: result: ranlib
configure:5139: checking for stdio.h
configure:5139: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:5139: $? = 0
configure:5139: result: yes
configure:5139: checking for stdlib.h
configure:5139: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:5139: $? = 0
configure:5139: result: yes
configure:5139: checking for string.h
configure:5139: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:5139: $? = 0
configure:5139: result: yes
configure:5139: checking for inttypes.h
configure:5139: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:5139: $? = 0
configure:5139: result: yes
configure:5139: checking for stdint.h
configure:5139: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:5139: $? = 0
configure:5139: result: yes
configure:5139: checking for strings.h
configure:5139: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:5139: $? = 0
configure:5139: result: yes
configure:5139: checking for sys/stat.h
configure:5139: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:5139: $? = 0
configure:5139: result: yes
configure:5139: checking for sys/types.h
configure:5139: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:5139: $? = 0
configure:5139: result: yes
configure:5139: checking for unistd.h
configure:5139: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:5139: $? = 0
configure:5139: result: yes
configure:5174: checking if the compiler understands -pipe
configure:5193: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -pipe -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:5193: $? = 0
configure:5204: result: yes
configure:5221: checking whether byte ordering is bigendian
configure:5237: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -pipe -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
conftest.c:21:16: error: unknown type name 'not'
   21 |                not a universal capable compiler
      |                ^~~
conftest.c:21:22: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'universal'
   21 |                not a universal capable compiler
      |                      ^~~~~~~~~
conftest.c:21:22: error: unknown type name 'universal'
configure:5237: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "TclCurl"
| #define PACKAGE_TARNAME "tclcurl-ng"
| #define PACKAGE_VERSION "8.0.1"
| #define PACKAGE_STRING "TclCurl 8.0.1"
| #define PACKAGE_BUGREPORT "massimo.manghi@rivetweb.org"
| #define PACKAGE_URL ""
| #define BUILD_TclCurl /**/
| #define HAVE_STDIO_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| /* end confdefs.h.  */
| #ifndef __APPLE_CC__
| 	       not a universal capable compiler
| 	     #endif
| 	     typedef int dummy;
| 
configure:5283: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -pipe -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:5283: $? = 0
configure:5302: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -pipe -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
conftest.c: In function 'main':
conftest.c:27:18: error: unknown type name 'not'; did you mean 'ino_t'?
   27 |                  not big endian
      |                  ^~~
      |                  ino_t
conftest.c:27:26: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'endian'
   27 |                  not big endian
      |                          ^~~~~~
configure:5302: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "TclCurl"
| #define PACKAGE_TARNAME "tclcurl-ng"
| #define PACKAGE_VERSION "8.0.1"
| #define PACKAGE_STRING "TclCurl 8.0.1"
| #define PACKAGE_BUGREPORT "massimo.manghi@rivetweb.org"
| #define PACKAGE_URL ""
| #define BUILD_TclCurl /**/
| #define HAVE_STDIO_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| /* end confdefs.h.  */
| #include <sys/types.h>
| 		#include <sys/param.h>
| 
| int
| main (void)
| {
| #if BYTE_ORDER != BIG_ENDIAN
| 		 not big endian
| 		#endif
| 
|   ;
|   return 0;
| }
configure:5443: result: no
configure:5511: checking for lowdown
configure:5534: found /usr/bin/lowdown
configure:5547: result: /usr/bin/lowdown
configure:5557: checking for pandoc
configure:5580: found /usr/bin/pandoc
configure:5593: result: /usr/bin/pandoc
configure:5728: checking for curl-config
configure:5749: found /usr/bin/curl-config
configure:5762: result: yes
configure:5810: checking for curl/curl.h
configure:5810: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -pipe -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:5810: $? = 0
configure:5810: result: yes
configure:5864: checking if libcurl version is recent enough
configure:5871: result: yes
configure:5937: checking for Tcl public headers
configure:6011: result: /usr/include/tcl9.0
configure:6074: checking for pthread_mutex_init in -lpthread
configure:6103: gcc -o conftest -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -pipe -Wdate-time -D_FORTIFY_SOURCE=2 -Wl,-z,relro conftest.c -lpthread   >&5
configure:6103: $? = 0
configure:6115: result: yes
configure:6362: checking for building with threads
configure:6368: result: yes (default)
configure:6397: checking how to build libraries
configure:6435: result: shared
configure:6525: checking for ranlib
configure:6558: result: ranlib
configure:6585: checking if 64bit support is requested
configure:6596: result: no
configure:6601: checking if 64bit Sparc VIS support is requested
configure:6612: result: no
configure:6623: checking if compiler supports visibility "hidden"
configure:6644: gcc -o conftest -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -pipe -Werror -Wdate-time -D_FORTIFY_SOURCE=2 -Wl,-z,relro conftest.c  >&5
configure:6644: $? = 0
configure:6656: result: yes
configure:6672: checking if rpath support is requested
configure:6683: result: yes
configure:6690: checking system version
configure:6718: result: Linux-6.12.88+deb13-amd64
configure:6806: checking for ar
configure:6827: found /usr/bin/ar
configure:6839: result: ar
configure:8619: checking for cast to union support
configure:8639: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -pipe -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:8639: $? = 0
configure:8650: result: yes
configure:8658: checking for stdbool.h
configure:8658: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -pipe -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:8658: $? = 0
configure:8658: result: yes
configure:8684: checking for required early compiler flags
configure:8703: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -pipe -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:8703: $? = 0
configure:8757: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -pipe -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
configure:8757: $? = 0
configure:8796: result: none
configure:8804: checking for 64-bit integer type
configure:8824: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -pipe -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
conftest.c: In function 'main':
conftest.c:34:1: error: unknown type name '__int64'
   34 | __int64 value = (__int64) 0;
      | ^~~~~~~
conftest.c:34:18: error: '__int64' undeclared (first use in this function)
   34 | __int64 value = (__int64) 0;
      |                  ^~~~~~~
conftest.c:34:18: note: each undeclared identifier is reported only once for each function it appears in
conftest.c:34:27: error: expected ',' or ';' before numeric constant
   34 | __int64 value = (__int64) 0;
      |                           ^
configure:8824: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "TclCurl"
| #define PACKAGE_TARNAME "tclcurl-ng"
| #define PACKAGE_VERSION "8.0.1"
| #define PACKAGE_STRING "TclCurl 8.0.1"
| #define PACKAGE_BUGREPORT "massimo.manghi@rivetweb.org"
| #define PACKAGE_URL ""
| #define BUILD_TclCurl /**/
| #define HAVE_STDIO_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| #define USE_THREAD_ALLOC 1
| #define _REENTRANT 1
| #define _THREAD_SAFE 1
| #define TCL_THREADS 1
| #define USE_TCL_STUBS 1
| #define USE_TCLOO_STUBS 1
| #define MODULE_SCOPE extern __attribute__((__visibility__("hidden")))
| #define HAVE_HIDDEN 1
| #define HAVE_CAST_TO_UNION 1
| #define HAVE_STDBOOL_H 1
| /* end confdefs.h.  */
| 
| int
| main (void)
| {
| __int64 value = (__int64) 0;
|   ;
|   return 0;
| }
configure:8848: gcc -c -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -pipe -Wdate-time -D_FORTIFY_SOURCE=2 conftest.c >&5
conftest.c: In function 'main':
conftest.c:35:21: error: duplicate case value
   35 |             case 1: case (sizeof(long long)==sizeof(long)): ;
      |                     ^~~~
conftest.c:35:13: note: previously used here
   35 |             case 1: case (sizeof(long long)==sizeof(long)): ;
      |             ^~~~
configure:8848: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "TclCurl"
| #define PACKAGE_TARNAME "tclcurl-ng"
| #define PACKAGE_VERSION "8.0.1"
| #define PACKAGE_STRING "TclCurl 8.0.1"
| #define PACKAGE_BUGREPORT "massimo.manghi@rivetweb.org"
| #define PACKAGE_URL ""
| #define BUILD_TclCurl /**/
| #define HAVE_STDIO_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| #define USE_THREAD_ALLOC 1
| #define _REENTRANT 1
| #define _THREAD_SAFE 1
| #define TCL_THREADS 1
| #define USE_TCL_STUBS 1
| #define USE_TCLOO_STUBS 1
| #define MODULE_SCOPE extern __attribute__((__visibility__("hidden")))
| #define HAVE_HIDDEN 1
| #define HAVE_CAST_TO_UNION 1
| #define HAVE_STDBOOL_H 1
| /* end confdefs.h.  */
| 
| int
| main (void)
| {
| switch (0) {
| 	    case 1: case (sizeof(long long)==sizeof(long)): ;
| 	}
|   ;
|   return 0;
| }
configure:8860: result: yes
configure:9126: checking for build with symbols
configure:9140: result: no
configure:9192: checking for egrep -e
configure:9322: result: /usr/bin/grep -E
configure:9515: checking for tclsh
configure:9550: result: /usr/bin/tclsh9.0
configure:9658: no deprecated curl code enabled
configure:9781: creating ./config.status

## ---------------------- ##
## Running config.status. ##
## ---------------------- ##

This file was extended by TclCurl config.status 8.0.1, which was
generated by GNU Autoconf 2.72.  Invocation command line was

  CONFIG_FILES    = 
  CONFIG_HEADERS  = 
  CONFIG_LINKS    = 
  CONFIG_COMMANDS = 
  $ ./config.status 

on pastorious

config.status:895: creating Makefile
config.status:895: creating pkgIndex.tcl
config.status:895: creating doc/tclcurl.n.md
config.status:895: creating doc/tclcurl_share.n
config.status:895: creating config.h
config.status:1050: config.h is unchanged

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_c_bigendian=no
ac_cv_c_compiler_gnu=yes
ac_cv_c_tclconfig=/usr/lib/tcl9.0
ac_cv_c_tclh=/usr/include/tcl9.0
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection'
ac_cv_env_CPPFLAGS_set=set
ac_cv_env_CPPFLAGS_value='-Wdate-time -D_FORTIFY_SOURCE=2'
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value=-Wl,-z,relro
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=set
ac_cv_env_build_alias_value=x86_64-linux-gnu
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_header_curl_curl_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_stdbool_h=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdio_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_unistd_h=yes
ac_cv_lib_pthread_pthread_mutex_init=yes
ac_cv_objext=o
ac_cv_path_EGREP_TRADITIONAL='/usr/bin/grep -E'
ac_cv_path_LOWDOWN=/usr/bin/lowdown
ac_cv_path_PANDOC=/usr/bin/pandoc
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_ac_ct_AR=ar
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_cc_c11=
ac_cv_prog_cc_g=yes
ac_cv_prog_cc_stdc=
ac_cv_prog_curl=yes
ac_cv_prog_make_make_set=yes
tcl_cv_cast_to_union=yes
tcl_cv_cc_pipe=yes
tcl_cv_cc_visibility_hidden=yes
tcl_cv_flag__file_offset_bits=no
tcl_cv_flag__isoc99_source=no
tcl_cv_sys_version=Linux-6.12.88+deb13-amd64
tcl_cv_type_64bit=none

## ----------------- ##
## Output variables. ##
## ----------------- ##

AR='ar'
CC='gcc'
CFLAGS='-g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/home/manghi/debian/tclcurl/tclcurl-ng-8.0.1=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -pipe ${CFLAGS_DEFAULT} ${CFLAGS_WARNING} ${SHLIB_CFLAGS} -Wdate-time -D_FORTIFY_SOURCE=2'
CFLAGS_DEBUG='-g'
CFLAGS_DEFAULT='-O2 -fomit-frame-pointer -DNDEBUG'
CFLAGS_OPTIMIZE='-O2 -fomit-frame-pointer'
CFLAGS_WARNING='-Wall'
CLEANFILES=''
CPP='gcc -E'
CPPFLAGS=''
CYGPATH='echo'
DEFS='-DHAVE_CONFIG_H'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EXEEXT=''
INSTALL='$(SHELL) $(srcdir)/tclconfig/install-sh -c'
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_DATA_DIR='${INSTALL} -d -m 755'
INSTALL_LIBRARY='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL} -m 755'
INSTALL_SCRIPT='${INSTALL} -m 755'
LDFLAGS='-Wl,-z,relro -Wl,--export-dynamic '
LDFLAGS_DEBUG=''
LDFLAGS_DEFAULT=''
LDFLAGS_OPTIMIZE=''
LD_LIBRARY_PATH_VAR='LD_LIBRARY_PATH'
LIBOBJS=''
LIBS=''
LOWDOWN='/usr/bin/lowdown'
LTLIBOBJS=''
MAKE_LIB='${SHLIB_LD} ${LDFLAGS} ${LDFLAGS_DEFAULT} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_LIBS} '
MAKE_SHARED_LIB='${SHLIB_LD} ${LDFLAGS} ${LDFLAGS_DEFAULT} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_LIBS}'
MAKE_STATIC_LIB='${STLIB_LD} $@ $(PKG_OBJECTS)'
MAKE_STUB_LIB='${STLIB_LD} $@ $(PKG_STUB_OBJECTS)'
OBJEXT='o'
PACKAGE_BUGREPORT='massimo.manghi@rivetweb.org'
PACKAGE_NAME='TclCurl'
PACKAGE_STRING='TclCurl 8.0.1'
PACKAGE_TARNAME='tclcurl-ng'
PACKAGE_URL=''
PACKAGE_VERSION='8.0.1'
PANDOC='/usr/bin/pandoc'
PATH_SEPARATOR=':'
PKG_CFLAGS=''
PKG_HEADERS=''
PKG_INCLUDES=' -I/usr/include'
PKG_LIBS=' -L/usr/lib -lcurl'
PKG_LIB_FILE8='libTclCurl8.0.1.so'
PKG_LIB_FILE9='libtcl9TclCurl8.0.1.so'
PKG_LIB_FILE='libtcl9TclCurl8.0.1.so'
PKG_OBJECTS=' tclcurl.o tcl_size.o curl_mime.o curl_setopts.o curl_getinfo.o ftp.o curl_utils.o multi.o'
PKG_SOURCES=' tclcurl.c tcl_size.c curl_mime.c curl_setopts.c curl_getinfo.c ftp.c curl_utils.c multi.c'
PKG_STUB_LIB_FILE='libTclCurlstub.a'
PKG_STUB_OBJECTS=''
PKG_STUB_SOURCES=''
PKG_TCL_SOURCES=''
RANLIB=':'
RANLIB_STUB='ranlib'
RC=''
SET_MAKE=''
SHARED_BUILD='1'
SHELL='/bin/bash'
SHLIB_CFLAGS='-fPIC'
SHLIB_LD='${CC} ${CFLAGS} ${LDFLAGS_DEFAULT} -shared'
SHLIB_LD_LIBS='${LIBS} -L/usr/lib/x86_64-linux-gnu -ltclstub9.0'
STLIB_LD='${AR} cr'
STUBS_BUILD='1'
TCLCURL_DOC_GEN='/usr/bin/lowdown -s -Tman -o'
TCLCURL_HTML_GEN='/usr/bin/lowdown -s -Thtml -o'
TCLCURL_SCRIPTS='tclcurl.tcl'
TCLSH_PROG='/usr/bin/tclsh9.0'
TCL_BIN_DIR='/usr/lib/tcl9.0'
TCL_DEFS='-DPACKAGE_NAME=\"tcl\" -DPACKAGE_TARNAME=\"tcl\" -DPACKAGE_VERSION=\"9.0\" -DPACKAGE_STRING=\"tcl\ 9.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DHAVE_STDIO_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_STRINGS_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_TIME_H=1 -DSTDC_HEADERS=1 -DHAVE_SYS_PARAM_H=1 -DTCL_CFGVAL_ENCODING=\"utf-8\" -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_PTHREAD_ATFORK=1 -DHAVE_DECL_PTHREAD_MUTEX_RECURSIVE=1 -DTCL_WITH_EXTERNAL_TOMMATH=1 -DMODULE_SCOPE=extern\ __attribute__\(\(__visibility__\(\"hidden\"\)\)\) -DHAVE_HIDDEN=1 -DHAVE_CAST_TO_UNION=1 -DHAVE_STDBOOL_H=1 -DHAVE_VFORK=1 -DHAVE_POSIX_SPAWNP=1 -DHAVE_POSIX_SPAWN_FILE_ACTIONS_ADDDUP2=1 -DHAVE_POSIX_SPAWNATTR_SETFLAGS=1 -DTCL_SHLIB_EXT=\".so\" -DNDEBUG=1 -DTCL_CFG_OPTIMIZED=1 -DMP_PREC=4 -D_LARGEFILE64_SOURCE=1 -DTCL_WIDE_INT_IS_LONG=1 -DHAVE_GETCWD=1 -DHAVE_MKSTEMP=1 -DHAVE_WAITPID=1 -DHAVE_GETNAMEINFO=1 -DHAVE_GETADDRINFO=1 -DHAVE_FREEADDRINFO=1 -DHAVE_GAI_STRERROR=1 -DHAVE_STRUCT_ADDRINFO=1 -DHAVE_STRUCT_IN6_ADDR=1 -DHAVE_STRUCT_SOCKADDR_IN6=1 -DHAVE_STRUCT_SOCKADDR_STORAGE=1 -DHAVE_GETPWUID_R_5=1 -DHAVE_GETPWUID_R=1 -DHAVE_GETPWNAM_R_5=1 -DHAVE_GETPWNAM_R=1 -DHAVE_GETGRGID_R_5=1 -DHAVE_GETGRGID_R=1 -DHAVE_GETGRNAM_R_5=1 -DHAVE_GETGRNAM_R=1 -DHAVE_DECL_GETHOSTBYNAME_R=1 -DHAVE_GETHOSTBYNAME_R_6=1 -DHAVE_GETHOSTBYNAME_R=1 -DHAVE_DECL_GETHOSTBYADDR_R=1 -DHAVE_GETHOSTBYADDR_R_8=1 -DHAVE_GETHOSTBYADDR_R=1 -DHAVE_TERMIOS_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PSELECT=1 -DHAVE_SYS_EPOLL_H=1 -DNOTIFIER_EPOLL=1 -DHAVE_SYS_EVENTFD_H=1 -DHAVE_EVENTFD=1 -DHAVE_SYS_TIME_H=1 -DHAVE_GMTIME_R=1 -DHAVE_LOCALTIME_R=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_STRUCT_STAT_ST_BLOCKS=1 -DHAVE_STRUCT_STAT_ST_BLKSIZE=1 -DHAVE_STRUCT_STAT_ST_RDEV=1 -DHAVE_BLKCNT_T=1 -DHAVE_INTPTR_T=1 -DHAVE_UINTPTR_T=1 -DNO_UNION_WAIT=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_LANGINFO=1 -DHAVE_CFMAKERAW=1 -DHAVE_MKSTEMPS=1 -DHAVE_FTS=1 -DHAVE_SYS_IOCTL_H=1 -DTCL_UNLOAD_DLLS=1 -DHAVE_CPUID=1'
TCL_EXTRA_CFLAGS='-g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/build/reproducible-path/tcl9.0-9.0.1+dfsg=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -fno-unit-at-a-time -pipe -finput-charset=UTF-8 -Wdate-time -D_FORTIFY_SOURCE=2'
TCL_INCLUDES='-I"/usr/include/tcl9.0"'
TCL_LD_FLAGS='-Wl,-z,relro -Wl,--export-dynamic '
TCL_LIBS='-ldl -lz  -lpthread -lm -ltommath'
TCL_LIB_FILE='libtcl9.0.so'
TCL_LIB_FLAG='-ltcl9.0'
TCL_LIB_SPEC='-L/usr/lib/x86_64-linux-gnu -ltcl9.0'
TCL_PATCH_LEVEL='.1'
TCL_SHLIB_LD_LIBS='${LIBS}'
TCL_SRC_DIR='/usr/include/tcl9.0/tcl-private'
TCL_STUB_LIB_FILE='libtclstub9.0.a'
TCL_STUB_LIB_FLAG='-ltclstub9.0'
TCL_STUB_LIB_SPEC='-L/usr/lib/x86_64-linux-gnu -ltclstub9.0'
TCL_THREADS='1'
TCL_VERSION='9.0'
VC_MANIFEST_EMBED_DLL=''
VC_MANIFEST_EMBED_EXE=''
ac_ct_CC='gcc'
bindir='${exec_prefix}/bin'
build_alias='x86_64-linux-gnu'
curl='yes'
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='/usr'
host_alias=''
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='/usr/share/info'
libdir='/usr/lib/tcltk/x86_64-linux-gnu'
libexecdir='/usr/lib/tcltk/x86_64-linux-gnu'
localedir='${datarootdir}/locale'
localstatedir='/var'
mandir='/usr/share/man'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/usr'
program_transform_name='s,x,x,'
psdir='${docdir}'
runstatedir='/run'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

/* confdefs.h */
#define PACKAGE_NAME "TclCurl"
#define PACKAGE_TARNAME "tclcurl-ng"
#define PACKAGE_VERSION "8.0.1"
#define PACKAGE_STRING "TclCurl 8.0.1"
#define PACKAGE_BUGREPORT "massimo.manghi@rivetweb.org"
#define PACKAGE_URL ""
#define BUILD_TclCurl /**/
#define HAVE_STDIO_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_STRINGS_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_UNISTD_H 1
#define STDC_HEADERS 1
#define USE_THREAD_ALLOC 1
#define _REENTRANT 1
#define _THREAD_SAFE 1
#define TCL_THREADS 1
#define USE_TCL_STUBS 1
#define USE_TCLOO_STUBS 1
#define MODULE_SCOPE extern __attribute__((__visibility__("hidden")))
#define HAVE_HIDDEN 1
#define HAVE_CAST_TO_UNION 1
#define HAVE_STDBOOL_H 1
#define TCL_WIDE_INT_IS_LONG 1
#define TCL_CFG_OPTIMIZED 1
#define USE_TCL_STUBS 1

configure: exit 0
